For the complete documentation index, see llms.txt. This page is also available as Markdown.

getBlockTime

getBlockTime — Historical block production time

post
/historical

Returns the estimated production time of a block. Each validator reports their UTC time to the ledger on a regular interval by intermittently adding a timestamp to a Vote for a particular block. A requested block's time is calculated from the stake-weighted mean of the Vote timestamps in a set of recent blocks recorded on the ledger. Parameters

  1. slot (required) — Slot number.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getBlockTime.

Example: getBlockTimePossible values:
Responses
200

Successful getBlockTime response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
resultinteger · int64 · nullableRequired
post/historical
curl -X POST https://public.rpc.solanavibestation.com/historical \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getBlockTime",
    "params": [
      178000000
    ]
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": 1700000000
}

Last updated